# List Sellers Retrieves all sellers based on filter settings. You can choose fields to be returned in the response by employing the resultFields or valueFields filter: resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Customers' listCustomersResponseExample_resultFields response example. valueFields: returns just an array of values. Use this option if a better performance is required. See the List Customers' listCustomersResponseExample_valueFields response example. Endpoint: POST /sellermanager.fetchformulafilteredsellers Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (integer) - `oldValues` (object,null) - `operationType` (string) - `startRow` (integer) - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (integer) - `response.data` (array) The Seller object. The type code is SL. - `response.data.typedId` (string) - `response.data.lastUpdateDate` (string) - `response.data.sellerId` (string) A unique ID of the seller. - `response.data.userGroupViewDetails` (string,null) - `response.data.lastUpdateBy` (integer) - `response.data.userGroupEdit` (string,null) - `response.data.createDate` (string) - `response.data.version` (integer) - `response.data.createdBy` (integer) - `response.data.name` (string) A full name of the seller, which is usually printed on documents. - `response.data.reportsTo` (string,null) - `response.data.attribute19` (string,null) - `response.data.attribute18` (string,null) - `response.data.attribute17` (string,null) - `response.data.attribute16` (string,null) - `response.data.attribute15` (string,null) - `response.data.attribute25` (string,null) - `response.data.attribute24` (string,null) - `response.data.attribute23` (string,null) - `response.data.attribute22` (string,null) - `response.data.attribute21` (string,null) - `response.data.attribute20` (string,null) - `response.data.attribute29` (string,null) - `response.data.attribute28` (string,null) - `response.data.attribute27` (string,null) - `response.data.attribute26` (string,null) - `response.data.attribute9` (string,null) - `response.data.attribute8` (string,null) - `response.data.attribute5` (string,null) - `response.data.attribute4` (string,null) - `response.data.attribute7` (string,null) - `response.data.attribute6` (string,null) - `response.data.attribute1` (string,null) - `response.data.attribute14` (string,null) - `response.data.attribute13` (string,null) - `response.data.attribute3` (string,null) - `response.data.attribute12` (string,null) - `response.data.attribute2` (string,null) - `response.data.attribute11` (string,null) - `response.data.attribute10` (string,null) - `response.data.attribute30` (string,null) - `response.endRow` (integer) - `response.totalRows` (integer) - `response.status` (integer)